## org.apache.cassandra.auth
Interface IInternodeAuthenticator

All Known Implementing Classes:
  AllowAllInternodeAuthenticator

    public interface IInternodeAuthenticator

Method Summary
`boolean` `authenticate(java.net.InetAddress remoteAddress, int remotePort)` Decides whether or not a peer is allowed to connect to this node.
`void` `validateConfiguration()` Validates configuration of IInternodeAuthenticator implementation (if configurable).

Method Detail

### authenticate

    boolean authenticate(java.net.InetAddress remoteAddress,
                         int remotePort)

  Decides whether or not a peer is allowed to connect to this node. If this method returns false, the socket will be immediately closed.

  Parameters:
    `remoteAddress` - ip address of the connecting node.
    `remotePort` - port of the connecting node.
  Returns:
    true if the connection should be accepted, false otherwise.

### validateConfiguration

    void validateConfiguration()
                               throws ConfigurationException

  Validates configuration of IInternodeAuthenticator implementation (if configurable).

  Throws:
    `ConfigurationException` - when there is a configuration error.

Copyright © 2013 The Apache Software Foundation